<?php
	// hcard profile for hkit
	
	$this->root_class = 'hreview';
	
	$this->classes = array( 
		'version', 
		'summary',
		'type', 
		'item', array('fn','url','hcard', 'hcalendar'),
		'reviewer',  
		'rating', 'description'
	);
	
	// classes that must only appear once per card
	$this->singles = array(
		'summary', 'description'
	);
	
	// classes that are required (not strictly enforced - give at least one!)
	$this->required = array(
		'item'
	);

	$this->att_map = array(
		'fn'	=> array('IMG|alt'),
		'url'	=> array('A|href', 'IMG|src', 'AREA|href'),
		'photo'	=> array('IMG|src'),
		'bday'	=> array('ABBR|title'),
		'logo'	=> array('IMG|src'),
		'email' => array('A|href'),
		'geo'	=> array('ABBR|title')
	);

	
	$this->callbacks = array(
		'url'	=> array($this, 'resolvePath'),
		'photo'	=> array($this, 'resolvePath'),
		'logo'	=> array($this, 'resolvePath'),
		'email'	=> array($this, 'resolveEmail')
	);

	

?>